## ros-rolling-rosbag2-interfaces 0.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(rosbag2_interfaces)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "srv/GetRate.srv"
  "srv/IsPaused.srv"
  "srv/Pause.srv"
  "srv/PlayNext.srv"
  "srv/Resume.srv"
  "srv/Seek.srv"
  "srv/SetRate.srv"
  "srv/Snapshot.srv"
  "srv/TogglePaused.srv"
  DEPENDENCIES builtin_interfaces
  ADD_LINTER_TESTS
)
ament_export_dependencies(rosidl_default_runtime)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-rosbag2-interfaces (0.13.0-1focal) focal; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rosbag2-interfaces (0.12.0-1focal) focal; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rosbag2-interfaces (0.11.0-1focal) focal; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 08:00:00 -0000

ros-rolling-rosbag2-interfaces (0.10.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Fri, 22 Oct 2021 07:00:00 -0000

ros-rolling-rosbag2-interfaces (0.10.0-1focal) focal; urgency=high

  * Implement snapshot mechanism and corresponding ROS Service (#850 <https://github.com/ros2/rosbag2/issues/850>)
    * Add snapshot service to recorder node
    * Simplify and clarify double buffering patterns
  * Contributors: Cameron Miller

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 19 Oct 2021 07:00:00 -0000

ros-rolling-rosbag2-interfaces (0.9.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-rolling-rosbag2-interfaces (0.8.0-1focal) focal; urgency=high

  * Add rosbag2_interfaces package with playback service definitions (#728 <https://github.com/ros2/rosbag2/issues/728>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-rosbag2-interfaces
Section: misc
Priority: optional
Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosbag2-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-runtime, ros-rolling-ros-workspace
Description: Interface definitions for controlling rosbag2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rosbag2-interfaces//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rosbag2-interfaces 0.24.0

=== debian/changelog ===
ros-rolling-rosbag2-interfaces (0.24.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.23.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.22.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.21.0-1jammy) jammy; urgency=high

  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.20.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.19.0-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 13 Jan 2023 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.18.0-1jammy) jammy; urgency=high

  * Add SplitBagfile recording service. (#1115 <https://github.com/ros2/rosbag2/issues/1115>)
  * Contributors: rshanor

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 15 Nov 2022 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.17.0-1jammy) jammy; urgency=high

  * Adds stop operation for rosbag2::Player (#1007 <https://github.com/ros2/rosbag2/issues/1007>)
  * Notification of significant events during bag recording and playback (#908 <https://github.com/ros2/rosbag2/issues/908>)
  * Adds play until timestamp functionality (#1005 <https://github.com/ros2/rosbag2/issues/1005>)
  * Add CLI verb for burst mode of playback (#980 <https://github.com/ros2/rosbag2/issues/980>)
  * Add play-for specified number of seconds functionality (#960 <https://github.com/ros2/rosbag2/issues/960>)
  * Contributors: Agustin Alba Chicar, Geoffrey Biggs, Michael Orlov, Misha Shalem

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 30 Jul 2022 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.16.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 11 May 2022 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.15.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 06 Apr 2022 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.15.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.14.0-1jammy) jammy; urgency=high

  * Add burst-mode to Player (#977 <https://github.com/ros2/rosbag2/issues/977>)
  * Contributors: Geoffrey Biggs

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.13.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.12.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.11.0-1jammy) jammy; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 08 Nov 2021 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.10.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 22 Oct 2021 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.10.0-1jammy) jammy; urgency=high

  * Implement snapshot mechanism and corresponding ROS Service (#850 <https://github.com/ros2/rosbag2/issues/850>)
    * Add snapshot service to recorder node
    * Simplify and clarify double buffering patterns
  * Contributors: Cameron Miller

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 19 Oct 2021 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.9.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 May 2021 00:00:00 -0000

ros-rolling-rosbag2-interfaces (0.8.0-1jammy) jammy; urgency=high

  * Add rosbag2_interfaces package with playback service definitions (#728 <https://github.com/ros2/rosbag2/issues/728>)
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 19 Apr 2021 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-rosbag2-interfaces
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosbag2-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-runtime, ros-rolling-ros-workspace
Description: Interface definitions for controlling rosbag2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
